5.3.0-46-generic - i915 - frequent GPU hangs / resets rcs0

Bug #1872001 reported by Steve Murphy
468
This bug affects 86 people
Affects Status Importance Assigned to Milestone
linux (Ubuntu)
Undecided
Unassigned
Eoan
Critical
Unassigned

Bug Description

Hi,

Since update to HWE kernel 5.3.0-46-generic I am experiencing frequent (every couple of minutes) GPU hangs and reset manifesting as 2-3 seconds freezes of the GUI (other than the mouse pointer).

No particular triggers identified although have Chrome / Chromium running with Hardware Acceleration enabled does appear to increase the frequency.

I have seen incidences of these hangs in jounralctl output using previous kernels in the 5.3.0-xx series but they were very infrequent (one or twice in a week of daily usage)

System Info
steve@steve-Inspiron-5580:~$ inxi -SCGxxxz
System: Host: steve-Inspiron-5580 Kernel: 5.3.0-46-generic x86_64 bits: 64 compiler: gcc v: 7.5.0
           Desktop: Cinnamon 4.4.8 wm: muffin 4.4.2 dm: LightDM 1.26.0 Distro: Linux Mint 19.3 Tricia
           base: Ubuntu 18.04 bionic
CPU: Topology: Quad Core model: Intel Core i5-8265U bits: 64 type: MT MCP arch: Kaby Lake rev: B
           L2 cache: 6144 KiB
           flags: avx avx2 lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx bogomips: 28800
           Speed: 1173 MHz min/max: 400/3900 MHz Core speeds (MHz): 1: 800 2: 800 3: 800 4: 800 5: 800 6: 800 7: 800
           8: 800
Graphics: Device-1: Intel vendor: Dell driver: i915 v: kernel bus ID: 00:02.0 chip ID: 8086:3ea0
           Display: x11 server: X.Org 1.20.5 driver: modesetting unloaded: fbdev,vesa resolution: 1920x1080~60Hz
           OpenGL: renderer: Mesa DRI Intel UHD Graphics (Whiskey Lake 3x8 GT2) v: 4.5 Mesa 19.2.8 compat-v: 3.0
           direct render: Yes

steve@steve-Inspiron-5580:~$ journalctl -b | grep i915
Apr 10 06:15:17 steve-Inspiron-5580 kernel: i915 0000:00:02.0: vgaarb: deactivate vga console
Apr 10 06:15:17 steve-Inspiron-5580 kernel: i915 0000:00:02.0: vgaarb: changed VGA decodes: olddecodes=io+mem,decodes=io+mem:owns=io+mem
Apr 10 06:15:17 steve-Inspiron-5580 kernel: [drm] Finished loading DMC firmware i915/kbl_dmc_ver1_04.bin (v1.4)
Apr 10 06:15:17 steve-Inspiron-5580 kernel: [drm] Initialized i915 1.6.0 20190619 for 0000:00:02.0 on minor 0
Apr 10 06:15:17 steve-Inspiron-5580 kernel: fbcon: i915drmfb (fb0) is primary device
Apr 10 06:15:17 steve-Inspiron-5580 kernel: i915 0000:00:02.0: fb0: i915drmfb frame buffer device
Apr 10 06:15:17 steve-Inspiron-5580 kernel: snd_hda_intel 0000:00:1f.3: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
Apr 10 06:16:28 steve-Inspiron-5580 kernel: i915 0000:00:02.0: GPU HANG: ecode 9:0:0x00000000, hang on rcs0
Apr 10 06:16:28 steve-Inspiron-5580 kernel: i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
Apr 10 06:31:46 steve-Inspiron-5580 kernel: i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
Apr 10 06:37:48 steve-Inspiron-5580 kernel: i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
Apr 10 06:40:46 steve-Inspiron-5580 kernel: i915 0000:00:02.0: Resetting rcs0 for hang on rcs0

I note another user has reported similar issues on the same kernel at https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1861395/comments/52
---
ProblemType: Bug
ApportVersion: 2.20.9-0ubuntu7.14
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC0: steve 3920 F.... pulseaudio
 /dev/snd/pcmC0D0p: steve 3920 F...m pulseaudio
CurrentDesktop: X-Cinnamon
DistroRelease: Linux Mint 19.3
HibernationDevice: RESUME=none
InstallationDate: Installed on 2019-12-27 (104 days ago)
InstallationMedia: Linux Mint 19.3 "Tricia" - Release amd64 20191213
MachineType: Dell Inc. Inspiron 5580
Package: linux (not installed)
ProcFB: 0 i915drmfb
ProcKernelCmdLine: BOOT_IMAGE=/boot/vmlinuz-5.3.0-46-generic root=UUID=b0eaa5bb-0276-42d4-938f-ee6ce1627906 ro usb_storage.quirks=0bc2:2320: quiet splash vt.handoff=1
ProcVersionSignature: Ubuntu 5.3.0-46.38~18.04.1-generic 5.3.18
RelatedPackageVersions:
 linux-restricted-modules-5.3.0-46-generic N/A
 linux-backports-modules-5.3.0-46-generic N/A
 linux-firmware 1.173.17
Tags: tricia
Uname: Linux 5.3.0-46-generic x86_64
UpgradeStatus: No upgrade log present (probably fresh install)
UserGroups: adm cdrom dip input lpadmin plugdev sambashare sudo vboxusers
_MarkForUpload: True
dmi.bios.date: 07/02/2019
dmi.bios.vendor: Dell Inc.
dmi.bios.version: 2.4.0
dmi.board.name: 0K0DFT
dmi.board.vendor: Dell Inc.
dmi.board.version: A00
dmi.chassis.type: 10
dmi.chassis.vendor: Dell Inc.
dmi.modalias: dmi:bvnDellInc.:bvr2.4.0:bd07/02/2019:svnDellInc.:pnInspiron5580:pvr:rvnDellInc.:rn0K0DFT:rvrA00:cvnDellInc.:ct10:cvr:
dmi.product.family: Inspiron
dmi.product.name: Inspiron 5580
dmi.product.sku: 089D
dmi.sys.vendor: Dell Inc.

CVE References

Steve Murphy (smurphos)
description: updated
Revision history for this message
Ubuntu Kernel Bot (ubuntu-kernel-bot) wrote : Missing required logs.

This bug is missing log files that will aid in diagnosing the problem. While running an Ubuntu kernel (not a mainline or third-party kernel) please enter the following command in a terminal window:

apport-collect 1872001

and then change the status of the bug to 'Confirmed'.

If, due to the nature of the issue you have encountered, you are unable to run this command, please add a comment stating that fact and change the bug status to 'Confirmed'.

This change has been made by an automated script, maintained by the Ubuntu Kernel Team.

Changed in linux (Ubuntu):
status: New → Incomplete
tags: added: eoan
Revision history for this message
Steve Murphy (smurphos) wrote : AlsaInfo.txt

apport information

tags: added: apport-collected tricia
description: updated
Revision history for this message
Steve Murphy (smurphos) wrote : CRDA.txt

apport information

Revision history for this message
Steve Murphy (smurphos) wrote : CurrentDmesg.txt

apport information

Revision history for this message
Steve Murphy (smurphos) wrote : IwConfig.txt

apport information

Revision history for this message
Steve Murphy (smurphos) wrote : Lspci.txt

apport information

Revision history for this message
Steve Murphy (smurphos) wrote : Lsusb.txt

apport information

Revision history for this message
Steve Murphy (smurphos) wrote : ProcCpuinfo.txt

apport information

Revision history for this message
Steve Murphy (smurphos) wrote : ProcCpuinfoMinimal.txt

apport information

Revision history for this message
Steve Murphy (smurphos) wrote : ProcEnviron.txt

apport information

Revision history for this message
Steve Murphy (smurphos) wrote : ProcInterrupts.txt

apport information

Revision history for this message
Steve Murphy (smurphos) wrote : ProcModules.txt

apport information

Revision history for this message
Steve Murphy (smurphos) wrote : PulseList.txt

apport information

Revision history for this message
Steve Murphy (smurphos) wrote : RfKill.txt

apport information

Revision history for this message
Steve Murphy (smurphos) wrote : UdevDb.txt

apport information

Revision history for this message
Steve Murphy (smurphos) wrote : WifiSyslog.txt

apport information

tags: added: bionic
Changed in linux (Ubuntu):
status: Incomplete → Confirmed
Steve Murphy (smurphos)
description: updated
Revision history for this message
Steve Murphy (smurphos) wrote :

The issue does not manifest on mainline kernel - 5.5.16-050516-generic

Revision history for this message
Nikke (nmellegard) wrote :

Experiencing the exact same problem on a Dell XPS 13 9630 since upgrade to kernel 5.3.0-46.

When problem is triggered, I can still move the mouse pointer for 2-3 seconds but can't interact with the desktop or any apps (clicking or typing does nothing). After that the mouse pointer stops for about a second. And then it all comes back; the clicks and keys that I types during the freeze comes flushing back...

Also noticed that when I'm on a telco, sound and video is completely unaffected throughout the freeze.

System info
--> inxi -SCGxxxz

System:
  Host: Dinky Kernel: 5.3.0-46-generic x86_64 bits: 64 compiler: gcc
  v: 9.2.1 Desktop: Gnome 3.34.3 wm: gnome-shell dm: GDM3 3.34.1
  Distro: Ubuntu 19.10 (Eoan Ermine)
CPU:
  Topology: Dual Core model: Intel Core i7-7500U bits: 64 type: MT MCP
  arch: Kaby Lake rev: 9 L2 cache: 4096 KiB
  flags: avx avx2 lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx
  bogomips: 23199
  Speed: 600 MHz min/max: 400/3500 MHz Core speeds (MHz): 1: 600 2: 600
  3: 600 4: 600
Graphics:
  Device-1: Intel HD Graphics 620 vendor: Dell driver: i915 v: kernel
  bus ID: 00:02.0 chip ID: 8086:5916
  Display: x11 server: X.Org 1.20.5 driver: i915 compositor: gnome-shell
  resolution: 1920x1080~60Hz
  OpenGL: renderer: Mesa DRI Intel HD Graphics 620 (Kaby Lake GT2)
  v: 4.5 Mesa 19.2.8 compat-v: 3.0 direct render: Yes

From kernel.log:
Apr 10 09:21:50 Dinky kernel: [40438.893463] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0

Revision history for this message
Viktor (lifeisgoodmf) wrote :

Same for me.

inxi -SCGxxxz
System: Host: viktorz Kernel: 5.3.0-46-generic x86_64 bits: 64 gcc: 7.5.0
           Desktop: Gnome 3.28.4 (Gtk 3.22.30-1ubuntu4) info: gnome-shell dm: gdm3 Distro: Ubuntu 18.04.4 LTS
CPU: Quad core Intel Core i5-9400H (-MT-MCP-) arch: Skylake rev.13 cache: 8192 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 19999
           clock speeds: min/max: 800/4300 MHz 1: 900 MHz 2: 900 MHz 3: 900 MHz 4: 900 MHz 5: 900 MHz 6: 900 MHz
           7: 900 MHz 8: 900 MHz
Graphics: Card: Intel Device 3e9b bus-ID: 00:02.0 chip-ID: 8086:3e9b
           Display Server: x11 (X.Org 1.20.5 ) driver: i915 Resolution: 1920x1080@60.00hz, 1920x1080@60.00hz
           OpenGL: renderer: Mesa DRI Intel UHD Graphics 630 (Coffeelake 3x8 GT2)
           version: 4.5 Mesa 19.2.8 (compat-v: 3.0) Direct Render: Yes

syslog:
Apr 10 14:56:25 viktorz kernel: [18006.588904] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0

Revision history for this message
DnsF (dfraipont-gmx) wrote :

Same for me.

$ inxi -SCGxxxz
System:
  Host: xxx Kernel: 5.3.0-46-generic x86_64 bits: 64 compiler: gcc
  v: 9.2.1 Desktop: Gnome 3.34.3 wm: gnome-shell dm: GDM3 3.34.1
  Distro: Ubuntu 19.10 (Eoan Ermine)
CPU:
  Topology: Quad Core model: Intel Core i7-6700K bits: 64 type: MT MCP
  arch: Skylake-S rev: 3 L2 cache: 8192 KiB
  flags: avx avx2 lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx
  bogomips: 63999
  Speed: 3896 MHz min/max: 800/4200 MHz Core speeds (MHz): 1: 3896 2: 3894
  3: 3896 4: 3896 5: 3896 6: 3896 7: 3896 8: 3896
Graphics:
  Device-1: Intel HD Graphics 530 vendor: ASUSTeK driver: i915 v: kernel
  bus ID: 00:02.0 chip ID: 8086:1912
  Display: x11 server: X.Org 1.20.5 driver: modesetting unloaded: fbdev,vesa
  compositor: gnome-shell resolution: 1920x1080~60Hz
  OpenGL: renderer: Mesa DRI Intel HD Graphics 530 (Skylake GT2)
  v: 4.5 Mesa 19.2.8 compat-v: 3.0 direct render: Yes

Revision history for this message
Boštjan Žokš (bzoks) wrote :

Same for me.
root@hpbo:~# inxi -SCGxxxz
System: Host: hpbo Kernel: 5.3.0-46-generic x86_64 bits: 64 compiler: gcc v: 9.2.1 Console: tty 1 wm: kwin_x11 dm: SDDM
           Distro: Ubuntu 19.10 (Eoan Ermine)
CPU: Topology: Quad Core model: Intel Core i7-8565U bits: 64 type: MT MCP arch: Kaby Lake rev: C L1 cache: 256 KiB
           L2 cache: 8192 KiB L3 cache: 8192 KiB
           flags: avx avx2 lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx bogomips: 31999
           Speed: 969 MHz min/max: 400/4600 MHz Core speeds (MHz): 1: 969 2: 824 3: 825 4: 742 5: 743 6: 786 7: 822 8: 732
Graphics: Device-1: Intel UHD Graphics 620 vendor: Hewlett-Packard driver: i915 v: kernel bus ID: 00:02.0 chip ID: 8086:3ea0
           Display: server: X.Org 1.20.5 driver: modesetting unloaded: fbdev,vesa compositor: kwin_x11
           resolution: 1920x1080~60Hz, 2560x1440~60Hz
           OpenGL: renderer: Mesa DRI Intel UHD Graphics (Whiskey Lake 3x8 GT2) v: 4.5 Mesa 19.2.8 compat-v: 3.0
           direct render: Yes

root@hpbo:~# journalctl -b | grep i915
apr 10 10:57:00 hpbo kernel: i915 0000:00:02.0: vgaarb: deactivate vga console
apr 10 10:57:00 hpbo kernel: i915 0000:00:02.0: vgaarb: changed VGA decodes: olddecodes=io+mem,decodes=io+mem:owns=io+mem
apr 10 10:57:00 hpbo kernel: [drm] Finished loading DMC firmware i915/kbl_dmc_ver1_04.bin (v1.4)
apr 10 10:57:00 hpbo kernel: [drm] Initialized i915 1.6.0 20190619 for 0000:00:02.0 on minor 0
apr 10 10:57:00 hpbo kernel: fbcon: i915drmfb (fb0) is primary device
apr 10 10:57:00 hpbo kernel: i915 0000:00:02.0: fb0: i915drmfb frame buffer device
apr 10 10:57:00 hpbo kernel: snd_hda_intel 0000:00:1f.3: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])
apr 10 16:22:09 hpbo kernel: i915 0000:00:02.0: GPU HANG: ecode 9:0:0x00000000, hang on rcs0
apr 10 16:22:09 hpbo kernel: i915 0000:00:02.0: Resetting rcs0 for hang on rcs0

Revision history for this message
Boštjan Žokš (bzoks) wrote :

Got identical issue on other PC with same kernel version and onboard graphics (i915), also HP.

root@gromk:~# inxi -SCGxxxz
System: Host: gromk Kernel: 5.3.0-46-generic x86_64 bits: 64 compiler: gcc v: 9.2.1 Console: tty 4 wm: kwin_x11 dm: SDDM
           Distro: Ubuntu 19.10 (Eoan Ermine)
CPU: Topology: 6-Core model: Intel Core i7-8700 bits: 64 type: MT MCP arch: Kaby Lake rev: A L1 cache: 384 KiB
           L2 cache: 12.0 MiB L3 cache: 12.0 MiB
           flags: avx avx2 lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx bogomips: 76799
           Speed: 1539 MHz min/max: 800/4600 MHz Core speeds (MHz): 1: 1539 2: 883 3: 2930 4: 1633 5: 1548 6: 1075 7: 1081
           8: 2129 9: 2623 10: 2214 11: 1257 12: 1777
Graphics: Device-1: Intel UHD Graphics 630 vendor: Hewlett-Packard driver: i915 v: kernel bus ID: 00:02.0 chip ID: 8086:3e92
           Display: server: X.Org 1.20.5 driver: modesetting unloaded: fbdev,vesa compositor: kwin_x11
           resolution: 2560x1440~60Hz, 1920x1080~60Hz
           OpenGL: renderer: Mesa DRI Intel UHD Graphics 630 (Coffeelake 3x8 GT2) v: 4.5 Mesa 19.2.8 compat-v: 3.0
           direct render: Yes
root@gromk:~# >

apr 10 23:03:45 gromk kernel: i915 0000:00:02.0: GPU HANG: ecode 9:0:0x00000000, hang on rcs0
apr 10 23:03:45 gromk kernel: i915 0000:00:02.0: Resetting rcs0 for hang on rcs0

Revision history for this message
Nikke (nmellegard) wrote :

Tried upgrading to kernel 5.3.0-47 which is in the Ubuntu proposed repository. Still get the freezes, but now it seems that the mouse pointer doesn't stop--only the interface stops responding for 2-3seconds and then it all jumps back in action again.

Also there's a new line in the journal about an

--> journalctl -b | grep i915

apr 11 11:06:13 Dinky kernel: mei_hdcp 0000:00:16.0-b638ab7e-94e2-4ea2-a552-d1c54b627f04: bound 0000:00:02.0 (ops i915_hdcp_component_ops [i915])
apr 11 11:10:26 Dinky kernel: i915 0000:00:02.0: Resetting rcs0 for hang on rcs0

--> inxi -SCGxxxz
System: Host: Dinky Kernel: 5.3.0-47-generic x86_64 bits: 64 compiler: gcc v: 9.2.1 Desktop: Gnome 3.34.3 wm: gnome-shell
           dm: GDM3 3.34.1 Distro: Ubuntu 19.10 (Eoan Ermine)
CPU: Topology: Dual Core model: Intel Core i7-7500U bits: 64 type: MT MCP arch: Kaby Lake rev: 9 L1 cache: 128 KiB
           L2 cache: 4096 KiB L3 cache: 4096 KiB
           flags: avx avx2 lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx bogomips: 23199
           Speed: 600 MHz min/max: 400/3500 MHz Core speeds (MHz): 1: 642 2: 695 3: 646 4: 639
Graphics: Device-1: Intel HD Graphics 620 vendor: Dell driver: i915 v: kernel bus ID: 00:02.0 chip ID: 8086:5916
           Display: server: X.Org 1.20.5 driver: i915 compositor: gnome-shell resolution: 1920x1080~60Hz
           OpenGL: renderer: Mesa DRI Intel HD Graphics 620 (Kaby Lake GT2) v: 4.5 Mesa 19.2.8 compat-v: 3.0
           direct render: Yes

Revision history for this message
pcworld (pcworld) wrote :

This is probably the same as bug #1871867, can you confirm?

I've had this bug ever since upgrading to Ubuntu 18.10 (i.e. the Linux 5.3 kernel series). However before the 5.3.0-46-generic update (when I was on 5.3.0-45-generic and earlier versions), I had this issue (freezes of around ~10s) only a few times per day. After the 5.3.0-46-generic update, this bug happened several times per hour, sometimes repeating in the timeframe of minutes.
Though I only rarely get the "GPU HANG: ecode 9:0:0x00000000, hang on rcs0" message prior to the "Resetting rcs0 for hang on rcs0" message, for what's it worth.

To put this into numbers, from April 4 to April 9 (daily usage), I only got 6 freezes, whereas since the update to 5.3.0-46-generic (which I performed on April 10), I've got 122 hangs already. This makes using the whole system really annoying.

There are some interesting discussions about this bug on https://bbs.archlinux.org/viewtopic.php?id=250765, though note that there seem to be multiple bugs and it got worse with later kernel versions, including unrecoverable freezes on kernel 5.4 (which were reported in Ubuntu as bug #1861395).

I've reverted to Linux 4.19 LTS mainline kernel from https://kernel.ubuntu.com/~kernel-ppa/mainline/ for now, and haven't had any more freezes yet.

Revision history for this message
sanette (sanette-linux) wrote :

I agree, it seems exactly the same as bug #1872009

I have uploaded a test program (needs SDL1.2) that kind of immediately triggers the hang
https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1872009/+attachment/5352362/+files/test.exe

Revision history for this message
sanette (sanette-linux) wrote :

I'm sorry I realized you need more dependencies to run my test program, it's going to be complicated.

But I think any program that intensively sends data to the GPU should trigger the problem as well

Revision history for this message
sanette (sanette-linux) wrote :

OK here is a new version, I think now you just need to do

sudp apt install libsdl-ttf2.0-0
./test.exe

it should work

Revision history for this message
sanette (sanette-linux) wrote :

interestingly, my demo runs also 25% faster on 5.3.0-45 than on 5.3.0-46...

Revision history for this message
sanette (sanette-linux) wrote :

and 50% faster on 4.4.0 :(

Revision history for this message
ekinox09 (ekinox09) wrote :
Download full text (3.1 KiB)

Hello all, i think i have the same issue. Encountered on Ubuntu 18.04 and kernels 5.3.0, 5.4.31, 5.5.16 and 5.5.6 (ppa mainline build). I'm in a virtualized VM with Proxmox
I can EASILY reproduce it within a minute (start Kodi for example).

inxi -SCGxxxz:

System: Host: hystUbuTest Kernel: 5.5.6-050506-generic x86_64 bits: 64 gcc: 9.2.1
           Desktop: Gnome 3.28.4 (Gtk 3.22.30-1ubuntu4) info: gnome-shell dm: gdm3 Distro: Ubuntu 18.04.4 LTS
CPU: Quad core Common KVM (-MCP-) arch: Netburst Prescott rev.1 cache: 16384 KB
           flags: (lm nx sse sse2 sse3) bmips: 21697
           clock speeds: max: 2712 MHz 1: 2712 MHz 2: 2712 MHz 3: 2712 MHz 4: 2712 MHz
Graphics: Card: Intel HD Graphics 620 bus-ID: 00:10.0 chip-ID: 8086:5916
           Display Server: x11 (X.Org 1.20.5 ) drivers: vmware (unloaded: modesetting,fbdev,vesa)
           Resolution: 1920x1080@60.00hz
           OpenGL: renderer: Mesa DRI Intel HD Graphics 620 (Kaby Lake GT2)
           version: 4.5 Mesa 19.2.8 (compat-v: 3.0) Direct Render: Yes

journalctl -b | grep i915:

avr 12 13:08:54 hystUbuTest kernel: i915 0000:00:10.0: vgaarb: deactivate vga console
avr 12 13:08:54 hystUbuTest kernel: i915 0000:00:10.0: Invalid PCI ROM header signature: expecting 0xaa55, got 0x0000
avr 12 13:08:54 hystUbuTest kernel: i915 0000:00:10.0: vgaarb: changed VGA decodes: olddecodes=io+mem,decodes=io+mem:owns=io+mem
avr 12 13:08:54 hystUbuTest kernel: [drm] Finished loading DMC firmware i915/kbl_dmc_ver1_04.bin (v1.4)
avr 12 13:08:55 hystUbuTest kernel: [drm] Initialized i915 1.6.0 20191101 for 0000:00:10.0 on minor 0
avr 12 13:08:55 hystUbuTest kernel: snd_hda_intel 0000:00:11.0: bound 0000:00:10.0 (ops i915_audio_component_bind_ops [i915])
avr 12 13:08:55 hystUbuTest kernel: fbcon: i915drmfb (fb0) is primary device
avr 12 13:08:55 hystUbuTest kernel: i915 0000:00:10.0: fb0: i915drmfb frame buffer device
avr 12 13:08:58 hystUbuTest /usr/lib/gdm3/gdm-x-session[973]: 915G, E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM,
avr 12 13:08:58 hystUbuTest /usr/lib/gdm3/gdm-x-session[973]: (II) intel(0): Using Kernel Mode Setting driver: i915, version 1.6.0 20191101
avr 12 13:14:33 hystUbuTest kernel: i915 0000:00:10.0: GPU HANG: ecode 9:2:0x00000000, stopped heartbeat on bcs0
avr 12 13:14:33 hystUbuTest kernel: drm/i915 developers can then reassign to the right component if it's not a kernel issue.
avr 12 13:14:33 hystUbuTest kernel: i915 0000:00:10.0: Resetting bcs0 for stopped heartbeat on bcs0

Afterwards, i have such issues that will block the computer and need a reboot to solve:

Apr 12 13:05:45 hystUbuTest kernel: [ 1025.728158] i915 0000:00:10.0: Resetting bcs0 for preemption time out
Apr 12 13:05:50 hystUbuTest kernel: [ 1031.617233] i915 0000:00:10.0: Resetting bcs0 for preemption time out
Apr 12 13:05:57 hystUbuTest kernel: [ 1037.761206] i915 0000:00:10.0: Resetting bcs0 for preemption time out
Apr 12 13:06:03 hystUbuTest kernel: [ 1043.649152] i915 0000:00:10.0: Resetting bcs0 for preemption time out
Apr 12 13:06:08 hystUbuTest kernel: [ 1049.537229] i915 0000:00:10.0: Resetting bcs0 for preemption time out

Let me know how to contribute with testing some patchs ...

Read more...

Revision history for this message
ekinox09 (ekinox09) wrote :

I've seen that going back to Kernel 4.19 has improved the situation.
This is not the case for me (4.19.0-041900-generic from kernel.ubuntu.com/~kernel-ppa/mainline/):

journalctl -b | grep i915:

avr 12 14:07:03 hystUbuTest kernel: i915 0000:00:10.0: Invalid PCI ROM header signature: expecting 0xaa55, got 0x0000
avr 12 14:07:03 hystUbuTest kernel: i915 0000:00:10.0: vgaarb: changed VGA decodes: olddecodes=io+mem,decodes=io+mem:owns=io+mem
avr 12 14:07:03 hystUbuTest kernel: [drm] Finished loading DMC firmware i915/kbl_dmc_ver1_04.bin (v1.4)
avr 12 14:07:05 hystUbuTest kernel: [drm] Initialized i915 1.6.0 20180719 for 0000:00:10.0 on minor 0
avr 12 14:07:05 hystUbuTest kernel: snd_hda_intel 0000:00:11.0: bound 0000:00:10.0 (ops i915_audio_component_bind_ops [i915])
avr 12 14:07:05 hystUbuTest kernel: i915 0000:00:10.0: fb0: inteldrmfb frame buffer device
avr 12 14:07:07 hystUbuTest /usr/lib/gdm3/gdm-x-session[935]: 915G, E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM,
avr 12 14:07:07 hystUbuTest /usr/lib/gdm3/gdm-x-session[935]: (II) intel(0): Using Kernel Mode Setting driver: i915, version 1.6.0 20180719
avr 12 14:09:38 hystUbuTest kernel: i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
avr 12 14:10:16 hystUbuTest kernel: i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
avr 12 14:10:24 hystUbuTest kernel: i915 0000:00:10.0: Resetting rcs0 for hang on rcs0

Revision history for this message
Nikke (nmellegard) wrote :

Seems that a fix is backported to kernel 5.4.0-16.19 for Focal:
  * system hang: i915 Resetting rcs0 for hang on rcs0 (LP: #1861395)
    - drm/i915/execlists: Always force a context reload when rewinding RING_TAIL

https://launchpad.net/ubuntu/+source/linux/5.4.0-16.19

Has anyone tried that kernel?

Revision history for this message
ekinox09 (ekinox09) wrote :

Hello, for your information, i've tested:
- cod/tip/drm-tip/2020-04-11 mainline build (from https://kernel.ubuntu.com/~kernel-ppa/mainline/drm-tip/2020-04-11/). No improvement:
       [drm] GPU HANG
       [drm] *ERROR* vcs0 reset request timed out
- cod/tip/drm-tip/2020-04-13 mainline build (from https://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-nightly/2020-04-13/). No improvement:
       [drm] GPU HANG
       [drm] Resetting rcs0 for CS error
- cod/tip/drm-intel-next/2020-03-14 mainline build (from https://kernel.ubuntu.com/~kernel-ppa/mainline/drm-intel-next/2020-03-14/). Better !
       No more CPU HANG
       [drm] *ERROR* Fault errors on pipe A: 0x00000080
       Note: Lot of bugs linked to this not stable kernel BUT no more CPU HANG for the moment...
Hope it helps.

Revision history for this message
Ohad Lutzky (lutzky) wrote :

FWIW, I'm experiencing very similar symptoms on the same kernel (5.3.0-46-generic), but on different hardware: This is a Lenovo ThinkPad E490. One thing that makes it *much* more frequent is running jackd with realtime priority. Running with ardour and jack, during the freezes audio proceeds normally (even MIDI events and synths work fine), but keyboard, mouse and monitor freeze. This occurs about once a minute!
I've also experienced longer crashes (gave up and rebooted after a minute) when performing skype calls or just watching youtube, but those are far less frequent.

Revision history for this message
Geir Isene (qc-e-9h) wrote :

On my Dell XPS15, the frequency of the freezes depends on what I am running. While browsing, doing e-mail, terminal work and the like, it freezes maybe once every 10 minutes. But while playing Wesnoth, it freezes at least once per minute(!). It doesn't matter if I run on the i915 or the Nvidia gpu. The freezes are funny, because everything BUT the mouse freezes. I can move the mouse pointer around, but everything else is stuck for 5-8 seconds or so. I run i3-wm straight on X with no desktop environment on Ubuntu 19.10 with the 5.3.0-46-generic kernel.

Revision history for this message
Geir Isene (qc-e-9h) wrote :

...and no freezes before the update to the 5.3.0-46-generic kernel.

Revision history for this message
Grzegorz Dabrowski (grzegorz-dabrowski) wrote :

I can reproduce this bug by starting a call via zoom.us. The bug exists on 5.3.0-46-generic, previous kernel 5.3.0-45-generic works fine.

Revision history for this message
Egbert van der Wal (eggie) wrote :

Update: I just tried the recently released linux-image-5.3.0-48-generic that was made available through eoan-proposed, but I still get the `Resetting rcs0 for hang on rcs0` error, so it's back to mainline 5.4.28-050428-generic for me.

Revision history for this message
Maurizio (xthephreakx) wrote :

Experiencing the same issues on linux mint 19.3.

System:
  Host: maurizio-LM Kernel: 5.3.0-46-generic x86_64 bits: 64 compiler: gcc
  v: 7.5.0 Desktop: Cinnamon 4.4.8 info: plank wm: muffin 4.4.2
  dm: LightDM 1.26.0 Distro: Linux Mint 19.3 Tricia
  base: Ubuntu 18.04 bionic
CPU:
  Topology: Quad Core model: Intel Core i5-6500 bits: 64 type: MCP
  arch: Skylake-S rev: 3 L2 cache: 6144 KiB
  flags: lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx bogomips: 25599
  Speed: 800 MHz min/max: 800/3600 MHz Core speeds (MHz): 1: 800 2: 800
  3: 800 4: 800
Graphics:
  Device-1: Intel HD Graphics 530 vendor: Hewlett-Packard driver: i915
  v: kernel bus ID: 00:02.0 chip ID: 8086:1912
  Display: x11 server: X.Org 1.20.5 driver: modesetting unloaded: fbdev,vesa
  resolution: 1920x1200~60Hz, 1920x1200~60Hz
  OpenGL: renderer: Mesa DRI Intel HD Graphics 530 (Skylake GT2)
  v: 4.5 Mesa 19.2.8 compat-v: 3.0 direct render: Yes

Running to dual screen and also noticed that the size settings(icon size) on my second panel get reset to default... nut sure when it happens tough

Andrea Righi (arighi)
Changed in linux (Ubuntu Eoan):
status: New → Confirmed
importance: Undecided → Critical
Changed in linux (Ubuntu Eoan):
status: Confirmed → In Progress
Changed in linux (Ubuntu Eoan):
status: In Progress → Fix Committed
Changed in linux (Ubuntu Eoan):
status: Fix Committed → Confirmed
information type: Public → Public Security
information type: Public Security → Public
information type: Public → Public Security
information type: Public Security → Public
Changed in linux (Ubuntu Eoan):
status: Confirmed → Fix Committed
Changed in linux (Ubuntu Eoan):
status: Fix Committed → Confirmed
Chris Glass (tribaal)
Changed in linux (Ubuntu Eoan):
status: Confirmed → Fix Committed
tags: added: verification-needed-eoan
Chris Glass (tribaal)
tags: added: verification-done-eoan
removed: verification-needed-eoan
Changed in linux (Ubuntu Eoan):
status: Fix Committed → Confirmed
tags: added: verification-failed-eoan
removed: verification-done-eoan
92 comments hidden view all 171 comments
Revision history for this message
Rudy Vissers (rudy-vissers) wrote :

May 7 09:02:11 rudy-ThinkPad-T590 kernel: [16362.901051] i915 0000:00:02.0: GPU HANG: ecode 9:0:0x00000000, hang on rcs0
May 7 09:02:11 rudy-ThinkPad-T590 kernel: [16362.902070] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
May 7 09:50:21 rudy-ThinkPad-T590 kernel: [19252.894099] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
May 7 14:35:29 rudy-ThinkPad-T590 kernel: [32445.859961] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0

On 14:35 it was very noticeable...

rudy@rudy-ThinkPad-T590:~$ inxi -SCGxxxz to report
System: Host: rudy-ThinkPad-T590 Kernel: 5.3.0-51-generic x86_64 bits: 64 gcc: 7.5.0
           Desktop: Gnome 3.28.4 (Gtk 3.22.30-1ubuntu4) info: gnome-shell dm: gdm3 Distro: Ubuntu 18.04.4 LTS
CPU: Quad core Intel Core i7-8665U (-MT-MCP-) arch: Kaby Lake rev.12 cache: 8192 KB
           flags: (lm nx sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx) bmips: 16799
           clock speeds: min/max: 400/4800 MHz 1: 800 MHz 2: 800 MHz 3: 800 MHz 4: 800 MHz 5: 800 MHz 6: 800 MHz
           7: 800 MHz 8: 800 MHz
Graphics: Card: Intel Device 3ea0 bus-ID: 00:02.0 chip-ID: 8086:3ea0
           Display Server: x11 (X.Org 1.20.5 ) drivers: fbdev (unloaded: modesetting,vesa)
           Resolution: 1600x900@59.99hz, 1920x1080@60.00hz
           OpenGL: renderer: Mesa DRI Intel UHD Graphics (Whiskey Lake 3x8 GT2)
           version: 4.5 Mesa 19.2.8 (compat-v: 3.0) Direct Render: Yes
rudy@rudy-ThinkPad-T590:~$

Revision history for this message
Marcelo Vanzin (vanzin) wrote :

I was also running into pretty horrendous graphics perf (with bionic), and fixed it after I did the following (did all at once so not sure which one did it):

- updated to the 5.3.0-51 kernel
- set the java2d option to opengl (from #82) - although I had issues in other apps too
- updated the Xorg server to xserver-xorg-hwe-18.04 (+ other hwe drivers)

My guess is that the last one is what did the trick. Much better for the last couple of days.

Revision history for this message
Egbert van der Wal (eggie) wrote :

Another occurrence of this bug for me too, unfortunately:

[23965.090982] i915 0000:00:02.0: GPU HANG: ecode 9:0:0x00000000, hang on rcs0
[23965.091992] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0

This is the first for me in a week of using 5.3.0-52-generic so it's definitely less common.

Revision history for this message
ekinox09 (ekinox09) wrote :

Hello, it took me few seconds running Kodi to encounter the problem with 5.3.0-52.46 from https://kernel.ubuntu.com/~arighi/LP-1861395/5.3.0-52.46+lp1861395v1/

[ 177.891537] i915 0000:00:10.0: Resetting bcs0 for hang on bcs0
[ 179.875568] i915 0000:00:10.0: Resetting bcs0 for hang on bcs0
[ 181.890600] i915 0000:00:10.0: GPU recovery timed out, cancelling all in-flight rendering.
[ 181.891827] i915 0000:00:10.0: Resetting chip for hang on bcs0

In my case, the problem occurs more with 5.3.0-52 than 5.3.0-51.

Revision history for this message
Robert Hardy (rhardy) wrote :

To be clear 5.3.0-51 did NOT include the backported patches.
Proposed 5.3.0-52.46 had some and 5.3.0-52.46+lp1861395v1 had more.
Out of curiosity could the people who are still having hangs on the 5.3.0-52.46 proposed or 5.3.0-52.46+lp1861395v1 kernel have different generations of CPUs?

I've got a Coffee Lake CPU and the patches seemed to do a better job of fixing issues for me.
Perhaps we really have two different issues here.

@pcworld we saw similar behaviour. What is your CPU model?
Here is mine:
# grep "model name" /proc/cpuinfo
CPU model name : Intel(R) Core(TM) i3-8100 CPU @ 3.60GHz

Revision history for this message
pcworld (pcworld) wrote :

@rhardy I have an i5-8250U and hangs have stopped ever since updating to the proposed 5.3.0-48-generic kernel (didn't try newer kernels yet).

Revision history for this message
Guillaume FRANCOIS (guillaume-francois55) wrote :

As written in https://bugs.launchpad.net/ubuntu/+source/linux/+bug/1872001/comments/118,

I had no hangs with "5.3.0-52-generic" or the extended one "lp1861395v1"

I did not check the logs with "5.3.0-52.46+lp1861395v1" but with the previous version the number of entries where very limited.

Unfortunatly I had to rollback to 5.3.0-51 as docker integration was a totally broken and preventing daily work.

In the meantime, I tried to upgrade to Ubuntu 20.04 with kernel 5.4.0x but the upgrade broke docker and even using docker.io instead of docker-ce did not fix the issue, as docker-ce is not yet available on 20.04.

I did not have the time to check for the "hangs" on 20.04 with kernel 5.4.0 but I can give a try if needed.

Later on, I'll probably do a format to perform a clean install on 20.04 to check is docker can work.

My laptop is a Dell Precision 7450 with an Intel i9-9880H.

Revision history for this message
Robert Hardy (rhardy) wrote :

Hmm so patches were effective for:
i5-8250U Kaby Lake R i.e. Gen 8
i9-9880H and i3-8100 both Coffee Lake Gen 9

It's hard enough debugging this directly on hardware. Doing it in a VM isn't going to be helpful.
Which CPU models are still failing with 5.3.0-52.46 or 5.3.0-52.46+lp1861395v1?

Revision history for this message
Benjamin Gemmill (benjamin-gemmill) wrote :

i7-1065G7 Ice Lake Gen 10 is still showing issues with 5.3.0-52

Revision history for this message
Rob Cork (rcork) wrote :

Strange, i have an i7-1065G7 and haven't had the issue since upgrading to 5.3.0-52. @benjamin-gemmill, what are you doing to test the issue. Maybe i can replicate on my system to see if i get the error to. So far i've been error free since April 30th on this kernel.

System: Host: XPS-13-9300 Kernel: 5.3.0-52-generic x86_64 bits: 64 Desktop: Cinnamon 4.4.8 Distro: Linux Mint 19.3 Tricia
CPU: Topology: Quad Core model: Intel Core i7-1065G7 bits: 64 type: MT MCP L2 cache: 8192 KiB
           Speed: 1805 MHz min/max: 400/3900 MHz Core speeds (MHz): 1: 1187 2: 1158 3: 1196 4: 1200 5: 1200 6: 1200 7: 1202
           8: 1142
Graphics: Device-1: Intel driver: i915 v: kernel
           Display: x11 server: X.Org 1.20.5 driver: modesetting unloaded: fbdev,vesa
           resolution: 2560x1440~60Hz, 2560x1440~60Hz
           OpenGL: renderer: Mesa DRI Intel Iris Plus Graphics (Ice Lake 8x8 GT2) v: 4.5 Mesa 19.2.8

Revision history for this message
Robert Hardy (rhardy) wrote :

For me initially I saw it when working with large office documents and when attempting to do certain 1080p A/V playback. When it really got bad I couldn't use a browser as it was happening all the time.

Revision history for this message
Dave Kosmal (p-dave-x) wrote :

I had the issue with Mint cinnamon desktop running kernel 5.3.0-46-generic.

Reverted back to 5.3.0-45-generic and it was resolved.

I noticed it mostly when using Webstorm IDE, although I don't think it was specific to this application. Intermittent but very frequent.

Revision history for this message
Rudy Vissers (rudy-vissers) wrote :

Again
May 11 15:49:59 rudy-ThinkPad-T590 kernel: [ 4727.312939] i915 0000:00:02.0: GPU HANG: ecode 9:0:0x00000000, hang on rcs0
May 11 15:49:59 rudy-ThinkPad-T590 kernel: [ 4727.313946] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
May 12 05:48:08 rudy-ThinkPad-T590 kernel: [11927.393097] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
May 12 05:50:08 rudy-ThinkPad-T590 kernel: [12047.397104] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
May 12 06:04:00 rudy-ThinkPad-T590 kernel: [12879.363685] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0

Revision history for this message
Mika Joenperä (mika-joenpera) wrote :

>Which CPU models are still failing with
>5.3.0-52.46 or 5.3.0-52.46+lp1861395v1?
i7-9700k is failing..

Revision history for this message
Rusted (steko-segmentas) wrote :

I had a problem for a while, with PHPStorm being laggy on ubuntu (had this problem for over a year)
Recently lag became unusable, after I tweaked a few things in ubuntu config (i think I increased swappiness)
In Intellij discussion they linked to this linux kernel ticket.

Lags in a way of:
Phpstorm window freezes for 5 seconds
sometimes phpstorm does not unfreeze, need to kill the process
laggy scrolling inside Phpstorm file window
sometimes freezes inside settings menus
laptop fan spins up audibly more than usual
google chrome can become laggy while running phpstorm

Ubuntu 18.04, kernel 5.3.0-51
pc: lenovo t480,
graphics: intel 620
CPU: Intel® Core™ i5-8250U CPU @ 1.60GHz × 8

Could not figure out how to upgrade kernel version, because I already had stable one

Upgrade to 19.10 did not help, kernel stayed the same version

After I did upgrade to 20.04, it seems so far that problems disappeared. Now kernel is 5.4.0-29-generic

Revision history for this message
Boštjan Žokš (bzoks) wrote :

I can also confirm that after upgrade to Ubuntu 20.04 with kernel 5.4.0-28-generic (12 days ago) there was not a single occurrence of this GPU HANG - on both machines I reported earlier.

Revision history for this message
Chris Higgins (chris-higgins) wrote :

Thinkpad T490
 - Ubuntu 19.10
 - Intel Graphics UHD 620 (Whiskey Lake)
 - Intel i7-8665U
 - uptime since kernel upgrade : 7days

Upgrade to 5.3.0-52-generic (5.3.0-52.46) last week has fixed the problem completely.
No more reset messages in dmesg with daily use

Revision history for this message
Egbert van der Wal (eggie) wrote :

I've been running a couple of days not on the new release from eoan-proposed: 5.3.0-53-generic and this solved the docker issues introduced by earlier versions. So far no GPU hangs either. Not sure if anything related to this bug was changed in -53 in comparison to -52, but it's looking good.

Revision history for this message
ekinox09 (ekinox09) wrote :

My CPU is an Intel i5-7200 (with Intel HD 620)(Kaby lake). I can reproduce the issue running Kodi with 5.3.0-52.46+lp1861395v1

Revision history for this message
sanette (sanette-linux) wrote :

running 5.3.0-52-generic for a couple of weeks I still have occasional hangs, maybe not triggered by the same things. It seems for instance to happen when I open a PDF from within chromium-browser.
It lasts 3-4 seconds.

[12467.199744] perf: interrupt took too long (2520 > 2500), lowering kernel.perf_event_max_sample_rate to 79250
[12872.912144] i915 0000:00:02.0: GPU HANG: ecode 9:1:0xfffffffe, in chromium-browse [6961], hang on rcs0
[12872.913153] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0

Revision history for this message
Noe (noecordmart) wrote :

Running Ubuntu 18.04.4 LTS with 5.3.0-51-generic in Intel i5-9600K (with Intel UHD Graphics 630).
- The system freezes every 5-10 minutes when running libreoffice (6.0.7.3).
- Running Gimp (2.10.18 from snap) it freezes every few senconds:
[ 2960.739364] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
[ 2968.739685] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
[ 2976.740123] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
[ 2984.740477] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
[ 2992.740852] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
[ 3002.757318] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
[ 3010.757689] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
[ 3018.758094] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
[ 3028.742571] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0

Revision history for this message
Launchpad Janitor (janitor) wrote :
Download full text (38.1 KiB)

This bug was fixed in the package linux - 5.3.0-53.47

---------------
linux (5.3.0-53.47) eoan; urgency=medium

  * eoan/linux: 5.3.0-53.47 -proposed tracker (LP: #1877257)

  * Intermittent display blackouts on event (LP: #1875254)
    - drm/i915: Limit audio CDCLK>=2*BCLK constraint back to GLK only

  * Unable to handle kernel pointer dereference in virtual kernel address space
    on Eoan (LP: #1876645)
    - SAUCE: overlayfs: fix shitfs special-casing

linux (5.3.0-52.46) eoan; urgency=medium

  * eoan/linux: 5.3.0-52.46 -proposed tracker (LP: #1874752)

  * alsa: make the dmic detection align to the mainline kernel-5.6
    (LP: #1871284)
    - ALSA: hda: add Intel DSP configuration / probe code
    - ALSA: hda: fix intel DSP config
    - ALSA: hda: Allow non-Intel device probe gracefully
    - ALSA: hda: More constifications
    - ALSA: hda: Rename back to dmic_detect option
    - [Config] SND_INTEL_DSP_CONFIG=m
    - [packaging] Remove snd-intel-nhlt from modules

  * built-using constraints preventing uploads (LP: #1875601)
    - temporarily drop Built-Using data

  * ubuntu/focal64 fails to mount Vagrant shared folders (LP: #1873506)
    - [Packaging] Move virtualbox modules to linux-modules
    - [Packaging] Remove vbox and zfs modules from generic.inclusion-list

  * linux-image-5.0.0-35-generic breaks checkpointing of container
    (LP: #1857257)
    - SAUCE: overlayfs: use shiftfs hacks only with shiftfs as underlay

  * shiftfs: broken shiftfs nesting (LP: #1872094)
    - SAUCE: shiftfs: record correct creator credentials

  * Add debian/rules targets to compile/run kernel selftests (LP: #1874286)
    - [Packaging] add support to compile/run selftests

  * shiftfs: O_TMPFILE reports ESTALE (LP: #1872757)
    - SAUCE: shiftfs: fix dentry revalidation

  * getitimer returns it_value=0 erroneously (LP: #1349028)
    - [Config] CONTEXT_TRACKING_FORCE policy should be unset

  * 5.3.0-46-generic - i915 - frequent GPU hangs / resets rcs0 (LP: #1872001)
    - drm/i915/execlists: Preempt-to-busy
    - drm/i915/gt: Detect if we miss WaIdleLiteRestore
    - drm/i915/execlists: Always force a context reload when rewinding RING_TAIL

  * alsa/sof: external mic can't be deteced on Lenovo and HP laptops
    (LP: #1872569)
    - SAUCE: ASoC: intel/skl/hda - set autosuspend timeout for hda codecs

  * Eoan update: upstream stable patchset 2020-04-22 (LP: #1874325)
    - ARM: dts: sun8i-a83t-tbs-a711: HM5065 doesn't like such a high voltage
    - bus: sunxi-rsb: Return correct data when mixing 16-bit and 8-bit reads
    - net: vxge: fix wrong __VA_ARGS__ usage
    - hinic: fix a bug of waitting for IO stopped
    - hinic: fix wrong para of wait_for_completion_timeout
    - cxgb4/ptp: pass the sign of offset delta in FW CMD
    - qlcnic: Fix bad kzalloc null test
    - i2c: st: fix missing struct parameter description
    - cpufreq: imx6q: Fixes unwanted cpu overclocking on i.MX6ULL
    - media: venus: hfi_parser: Ignore HEVC encoding for V1
    - firmware: arm_sdei: fix double-lock on hibernate with shared events
    - null_blk: Fix the null_add_dev() error path
    - null_blk: Handle null_add_dev() failures properly
    - null_blk: fix spuri...

Changed in linux (Ubuntu Eoan):
status: Confirmed → Fix Released
Revision history for this message
Benjamin Gemmill (benjamin-gemmill) wrote :

Unfortunately, the errors persist in 5.3.0-53.47

i915 error logs attached.

# uname -a
Linux spore 5.3.0-53-generic #47-Ubuntu SMP Thu May 7 12:18:16 UTC 2020 x86_64 x86_64 x86_64 GNU/Linux

# dmesg
[ 1537.362289] mce: CPU2: Core temperature above threshold, cpu clock throttled (total events = 2)
[ 1537.362290] mce: CPU6: Core temperature above threshold, cpu clock throttled (total events = 2)
[ 1537.362291] mce: CPU0: Package temperature above threshold, cpu clock throttled (total events = 2)
[ 1537.362292] mce: CPU4: Package temperature above threshold, cpu clock throttled (total events = 2)
[ 1537.362292] mce: CPU6: Package temperature above threshold, cpu clock throttled (total events = 2)
[ 1537.362294] mce: CPU2: Package temperature above threshold, cpu clock throttled (total events = 2)
[ 1537.362348] mce: CPU1: Package temperature above threshold, cpu clock throttled (total events = 2)
[ 1537.362349] mce: CPU7: Package temperature above threshold, cpu clock throttled (total events = 2)
[ 1537.362350] mce: CPU3: Package temperature above threshold, cpu clock throttled (total events = 2)
[ 1537.362352] mce: CPU5: Package temperature above threshold, cpu clock throttled (total events = 2)
[ 1537.364048] mce: CPU6: Core temperature/speed normal
[ 1537.364049] mce: CPU2: Core temperature/speed normal
[ 1537.364049] mce: CPU0: Package temperature/speed normal
[ 1537.364050] mce: CPU4: Package temperature/speed normal
[ 1537.364052] mce: CPU6: Package temperature/speed normal
[ 1537.364053] mce: CPU2: Package temperature/speed normal
[ 1537.364108] mce: CPU1: Package temperature/speed normal
[ 1537.364109] mce: CPU5: Package temperature/speed normal
[ 1537.364110] mce: CPU3: Package temperature/speed normal
[ 1537.364111] mce: CPU7: Package temperature/speed normal
[ 1990.917267] i915 0000:00:02.0: GPU HANG: ecode 11:1:0xfffffffe, in Xorg [1097], hang on rcs0
[ 1990.918390] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
[ 1998.907399] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0
[ 2006.907435] i915 0000:00:02.0: Resetting rcs0 for hang on rcs0

Revision history for this message
jt (johannes-thraen) wrote :

Since Linux X 5.3.0-53-generic it seems that I don't experience the hangs any more, but idle power consumption severely degraded: 5.3.0-51 uses 2/3 of the power that ..-53 uses. It's also worse than on 4.15.
Powertop showing GPU being powered on 100% of the time

Revision history for this message
litjens (jhcl) wrote :

5.3.0-53-generic solved the problem for me (xubuntu 19.10). No problems or rcs0 messages for 2 days now.
Thank you for your help.

Revision history for this message
Noe (noecordmart) wrote :

Solved in 5.3.0-53-generic for me.
In may case GPU is not always at 100%. It is scaling frequency well from 350Mhz to max

Revision history for this message
RickyUnix (riccardo-noc) wrote :

Dell XPS 15 7590 - 5.3.0-53-generic #47~18.04.1-Ubuntu

I can say that the problem is solved now

it no longer has hangs and the CPU has returned to work without overloads.
The fans work normally and the PC is no longer overheated

Thank you

Revision history for this message
Viacheslav Semykrasov (7krasov) wrote :

Dell Latitude 5500
Ubuntu 19.10, 5.3.0-53-generic - no freezing so far
Ubuntu 20.04, 5.4.0-31-generic - works perfectly too

Revision history for this message
ekinox09 (ekinox09) wrote :

Hi, with 5.3.0-53 generic, i've encountered only 1 error (i915 0000:00:10.0: Resetting vcs0 for hang on vcs0) but no impact on performance and no freeze until now. Will continue to test but seems promizing. Thank you.

Revision history for this message
ekinox09 (ekinox09) wrote :
Download full text (4.3 KiB)

Hi, with 5.3.0-53 generic, i've encountered 2 errors that have frozen the system during 2 or 3 minutes. After this error, the system came back to normal. These 2 errors has been observed with Kodi at the "beginning" of the session (in the firts minutes after a boot), and only once per boot. I'm still testing.
Here is the syslog when an error occurs:

May 30 23:30:57 hystKodi kernel: [ 150.872582] i915 0000:00:10.0: GPU HANG: ecode 9:0:0x00000000, hang on rcs0
May 30 23:30:57 hystKodi kernel: [ 150.873591] i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
May 30 23:31:05 hystKodi kernel: [ 158.851005] i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
May 30 23:31:13 hystKodi kernel: [ 166.850875] i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
May 30 23:31:21 hystKodi kernel: [ 174.850907] i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
May 30 23:31:23 hystKodi kernel: [ 176.866911] i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
May 30 23:31:31 hystKodi kernel: [ 184.866958] i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
May 30 23:31:39 hystKodi kernel: [ 192.866879] i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
May 30 23:31:41 hystKodi kernel: [ 194.850880] i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
May 30 23:31:43 hystKodi kernel: [ 196.866960] i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
May 30 23:31:45 hystKodi kernel: [ 198.850929] i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
May 30 23:31:53 hystKodi kernel: [ 206.850890] i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
May 30 23:31:55 hystKodi kernel: [ 208.866949] i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
May 30 23:31:57 hystKodi kernel: [ 210.850916] i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
May 30 23:31:59 hystKodi kernel: [ 212.866937] i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
May 30 23:32:01 hystKodi kernel: [ 214.850973] i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
May 30 23:32:03 hystKodi kernel: [ 216.866919] i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
May 30 23:32:05 hystKodi kernel: [ 218.850958] i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
May 30 23:32:07 hystKodi kernel: [ 220.866897] i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
May 30 23:32:09 hystKodi kernel: [ 222.850968] i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
May 30 23:32:11 hystKodi kernel: [ 224.866970] i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
May 30 23:32:13 hystKodi kernel: [ 226.850920] i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
May 30 23:32:15 hystKodi kernel: [ 228.866923] i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
May 30 23:32:17 hystKodi kernel: [ 230.850905] i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
May 30 23:32:19 hystKodi kernel: [ 232.866958] i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
May 30 23:32:21 hystKodi kernel: [ 234.850911] i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
May 30 23:32:23 hystKodi kernel: [ 236.866940] i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
May 30 23:32:25 hystKodi kernel: [ 238.850895] i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
May 30 23:32:27 hystKodi kernel: [ 240.866943] i915 0000:00:1...

Read more...

Revision history for this message
jt (johannes-thraen) wrote :

I looked at this again. The GPU does scale down sometimes. But still the power consumption has without any doubt degraded a lot between 51 and 53 minor versions. The difference is immediately seen by either by looking at powertop or the power consumption or expected battery time in freshly booted kernels respectively. 53 only last 2/3 of the time that 51 lasts.

Revision history for this message
ekinox09 (ekinox09) wrote :

I've tried Ubuntu 20.04 (5.4.0-33-generic) hoping it will be better. But it's not the case; i've encoutered the problem quickly, even without using Kodi for stressing the GPU. Here the problem froze completly the system; hard reboot is the only way out. Will come back to Ubuntu 18.04 and 5.3.0-53 generic.
For info, here is the syslog with the problem:

Jun 5 18:28:41 hystKodi3 systemd-udevd[343]: Worker [2067] terminated by signal 11 (SEGV)
Jun 5 18:28:44 hystKodi3 PackageKit: daemon quit
Jun 5 18:28:44 hystKodi3 systemd[1]: packagekit.service: Succeeded.
Jun 5 18:28:45 hystKodi3 kernel: [ 317.504521] i915 0000:00:10.0: GPU HANG: ecode 9:1:0x00000000, hang on rcs0
Jun 5 18:28:45 hystKodi3 kernel: [ 317.505529] i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
Jun 5 18:28:48 hystKodi3 systemd-udevd[2100]: free(): invalid next size (fast)
Jun 5 18:28:48 hystKodi3 systemd-udevd[343]: Worker [2100] terminated by signal 6 (ABRT)
Jun 5 18:28:53 hystKodi3 kernel: [ 325.505416] i915 0000:00:10.0: Resetting rcs0 for hang on rcs0
Jun 5 18:30:01 hystKodi3 CRON[2110]: (root) CMD ([ -x /etc/init.d/anacron ] && if [ ! -d /run/systemd/system ]; then /usr/sbin/invoke-rc.d anacron start >/dev/null; fi

Revision history for this message
ekinox09 (ekinox09) wrote :

Hello, it seems that there is no more activity on this bug. But i still face i915 CPU hangs and resetting. How can i have it solved ? Should i create another bug ? Thanks for your help.

Revision history for this message
Hans van den Bogert (hbogert) wrote :

It was solved, yet I am now on kernel 5.4.0-43 and I am hitting this now again since a week when using Jetbrains products. Clearly a regression, how could this 've happened. The linux-image* package changelog is pretty much worthless to investigate this.

Revision history for this message
Hans van den Bogert (hbogert) wrote :

You still can't edit comments on LP :S?

I am running kernel 5.4.0-42 instead of the earlier mentioned 5.4.0-43

Jeff Lane (bladernr)
tags: added: ubuntu-certified
Revision history for this message
Serhiy Zahoriya (xintx-ua) wrote :

Confirming, only Blender is affected in my case. Kernel 5.4.0-42, Intel UHD Graphics 620 (rev 07).

Revision history for this message
Vsevolod Velichko (torkvemada) wrote :

Same story here on Ubuntu 20.10.
Kernel version 5.8.0-25-generic on Dell XPS 15 9570, with Intel UHD Graphics 630 (Mobile).

Revision history for this message
Luis Vega (lrvz) wrote :

I am seeing a very similar issue on my Lenovo T480s while using the Intel UHD Graphics 620 (rev 7).
A simple example is that YouTube videos in any browser (Chrome/Chromium/Firefox/etc.) while in the browser window play at 60fps but as soon as you use full screen it falls back to 30fps on the latest 5.4 kernels (-54,-53,-52). I did a quick test and booted a 4.15.0-123 kernel and that seemed to resolve the problem. Seems like a regression.

Revision history for this message
philicorda (philicorda) wrote :

This doesn't seem to be fixed with recent Ubuntu kernels.

I have constant GPU hangs too.

kernel: Linux luto 5.8.0-41-generic #46~20.04.1-Ubuntu SMP

[ 20.503897] i915 0000:00:02.0: vgaarb: deactivate vga console
[ 20.505641] i915 0000:00:02.0: vgaarb: changed VGA decodes: olddecodes=io+mem,decodes=io+mem:owns=io+mem
[ 20.525280] [drm] Initialized i915 1.6.0 20200515 for 0000:00:02.0 on minor 0
[ 20.570726] fbcon: i915drmfb (fb0) is primary device
[ 20.570858] i915 0000:00:02.0: fb0: i915drmfb frame buffer device
[ 2252.688165] unhandled error in i915_error_to_vmf_fault: -22
[ 2252.688324] WARNING: CPU: 1 PID: 1455 at drivers/gpu/drm/i915/gem/i915_gem_mman.c:211 i915_error_to_vmf_fault+0x7a/0x90 [i915]
[ 2252.688325] Modules linked in: nls_iso8859_1 snd_hda_codec_realtek snd_hda_codec_generic ledtrig_audio snd_hda_intel snd_intel_dspcfg snd_ice1712 snd_hda_codec snd_cs8427 snd_i2c snd_ice17xx_ak4xxx snd_ak4xxx_adda i915 snd_ac97_codec snd_hda_core snd_mpu401_uart snd_hwdep snd_seq_midi drm_kms_helper input_leds cec snd_seq_midi_event rc_core i2c_algo_bit snd_rawmidi fb_sys_fops snd_seq syscopyarea sysfillrect ac97_bus snd_pcm snd_seq_device snd_timer sysimgblt at24 snd soundcore serio_raw mac_hid sch_fq_codel w83627ehf hwmon_vid coretemp parport_pc ppdev lp drm parport ip_tables x_tables autofs4 uas usb_storage hid_generic usbhid hid gpio_ich i2c_i801 psmouse i2c_smbus pata_acpi lpc_ich r8169 realtek video
[ 2252.688398] RIP: 0010:i915_error_to_vmf_fault+0x7a/0x90 [i915]
[ 2252.688450] vm_fault_gtt+0x1d7/0x540 [i915]

Revision history for this message
ilove my cat (ilovemycat) wrote :

I facing some sort of similar Error. I reported a Bug, but nobody answering till now. Don't now wahts going on now.

This was the first time i Report a bug, did I do something wrong?

Anyway, i facing this problem only when using vmware. The Problems appers inside the vm, i get some heavy screen disortion:

https://bugs.launchpad.net/ubuntu/+source/linux-signed-hwe-5.8/+bug/1914850

Displaying first 40 and last 40 comments. View all 171 comments or add a comment.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.